﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{

	// TEXT DATA

	titleText = 'Περίγραμμα κύβου';
	
	problemText =	'Μπορείτε να προσθέσετε κύβους σε αυτό το στερεό ώστε όλες του οι όψεις να είναι ίδιες με την κάτοψη;'+
					' Δηλαδή όταν το κοιτάμε από την μπλέ πλευρά ή την κόκκινη ή την πράσινη να φαίνεται όπως το βλέπουμε αυτή τη στιγμή από πάνω. <br>'+
					' Στους πάνω τέσσερις καμβάδες φαίνεται το στερεό από διάφορες όψεις. Η πρώτη μας δείχνει πώς φαίνεται το στερεό, '+
					' όταν το κοιτάμε από πάνω (κάτοψη). Οι υπόλοιπες τρεις μας δείχνουν πώς φαίνεται το στερεό, όταν το κοιτάμε από '+
					' την κόκκινη, την μπλε και την πράσινη πλευρά αντίστοιχα.';
		
	
	authorText = 'Φακούδης Βαγγέλης - Λάτση Μαρία';
	
	
	// last update
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = false;
	
	// end of last update	
	
	
	// DIMENSIONING
	
	gridDimension = 200;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor(gridDimension / cubeDimension);
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13	
	
	// CAMERAS
	
	planeView = true;
	redView = true;
	blueView = true;
	greenView = true;
	
	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.
	
	modelGeometry = 
	[
		[	// 1st row
			[8,0,0,0],	// tower in 1st column
			[8,0,0,0],	// tower in 2nd column
			[8,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column
		],
		[	// 2nd row
			[8,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		],
		[	//3rd row
			[8,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		],
		[	// 4th row
			[8,0,0,0],	// tower in 1st column
			[8,0,0,0],	// tower in 2nd column
			[8,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		]
	];	

	canvasGeometry = 
	[
		[	// 1st row
			[8,0,0,0],	// tower in 1st column
			[8,0,0,0],	// tower in 2nd column
			[8,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column
		],
		[	// 2nd row
			[8,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		],
		[	//3rd row
			[8,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		],
		[	// 4th row
			[8,0,0,0],	// tower in 1st column
			[8,0,0,0],	// tower in 2nd column
			[8,0,0,0],	// tower in 3rd column
			[8,0,0,0],	// tower in 4th column		
		]
	];
}